### Function

# Camel pstring_free

#### Declaration [src]

    void
    camel_pstring_free (
      const gchar* string
    )

#### Description [src]

Unreferences a pooled string. If the string’s reference count drops to zero it will be deallocated. `NULL` and the empty string are special cased.

#### Parameters

`string`

  Type: `const gchar*`

  String to free.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.